diff -2cwr make-3.67/arscan.c amiga-make-3.67/arscan.c
*** make-3.67/arscan.c	Wed May 12 21:05:03 1993
--- amiga-make-3.67/arscan.c	Sun May 23 20:02:39 1993
***************
*** 23,26 ****
--- 23,29 ----
  #include <sys/file.h>
  #endif
+ #ifdef amigados
+ #include <stdlib.h>
+ #endif

  #ifndef NO_ARCHIVES
diff -2cwr make-3.67/config.h amiga-make-3.67/config.h
*** make-3.67/config.h	Mon May 24 01:52:28 1993
--- amiga-make-3.67/config.h	Sun May 23 20:10:00 1993
***************
*** 27,31 ****

  /* Define if your C compiler doesn't accept -c and -o together.  */
! #define NO_MINUS_C_MINUS_O 1

  /* Define as the return type of signal handlers (int or void).  */
--- 27,31 ----

  /* Define if your C compiler doesn't accept -c and -o together.  */
! #undef NO_MINUS_C_MINUS_O

  /* Define as the return type of signal handlers (int or void).  */
***************
*** 35,39 ****
     argument and the buffer pointer as the third, as on System V
     before release 3.	*/
! #define SETVBUF_REVERSED 1

  /* Define if you have the ANSI C header files.  */
--- 35,39 ----
     argument and the buffer pointer as the third, as on System V
     before release 3.	*/
! #undef SETVBUF_REVERSED

  /* Define if you have the ANSI C header files.	*/
diff -2cwr make-3.67/configure amiga-make-3.67/configure
*** make-3.67/configure Mon May 24 01:29:46 1993
--- amiga-make-3.67/configure	Sun May 23 01:01:41 1993
***************
*** 127,131 ****
  if test -z "$CC"; then
    # Extract the first word of `gcc', so it can be a program name with args.
!   set dummy gccv; word=$2
    echo checking for $word
    IFS="${IFS=   }"; saveifs="$IFS"; IFS="${IFS}:"
--- 127,131 ----
  if test -z "$CC"; then
    # Extract the first word of `gcc', so it can be a program name with args.
!   set dummy gcc; word=$2
    echo checking for $word
    IFS="${IFS=         }"; saveifs="$IFS"; IFS="${IFS}:"
***************
*** 133,137 ****
      test -z "$dir" && dir=.
      if test -f $dir/$word; then
!	CC="gccv"
	break
      fi
--- 133,137 ----
      test -z "$dir" && dir=.
      if test -f $dir/$word; then
!	CC="gcc"
	break
      fi
diff -2cwr make-3.67/dir.c amiga-make-3.67/dir.c
*** make-3.67/dir.c	Fri May 14 22:41:07 1993
--- amiga-make-3.67/dir.c	Sun May 23 20:04:06 1993
***************
*** 488,492 ****
--- 488,496 ----
  /* Hooks for globbing.	*/

+ #ifndef amigados
  #include <glob.h>
+ #else
+ #include "glob.h"
+ #endif

  /* Structure describing state of iterating through a directory hash table.  */
diff -2cwr make-3.67/function.c amiga-make-3.67/function.c
*** make-3.67/function.c	Wed May 12 19:44:41 1993
--- amiga-make-3.67/function.c	Mon May 24 01:20:25 1993
***************
*** 22,25 ****
--- 22,28 ----
  #include "commands.h"
  #include "job.h"
+ #ifdef amigados
+ #include <stdlib.h>
+ #endif

  static char *string_glob ();
diff -2cwr make-3.67/getopt.c amiga-make-3.67/getopt.c
*** make-3.67/getopt.c	Fri May  7 19:29:58 1993
--- amiga-make-3.67/getopt.c	Sun May 23 19:52:10 1993
***************
*** 53,56 ****
--- 53,59 ----

  #include <stdio.h>
+ #ifdef amigados
+ #include <string.h>
+ #endif

  /* Comment out all this code if we are using the GNU C Library, and are not
diff -2cwr make-3.67/job.c amiga-make-3.67/job.c
*** make-3.67/job.c	Wed May 12 19:20:45 1993
--- amiga-make-3.67/job.c	Sun May 23 19:53:55 1993
***************
*** 24,28 ****
--- 24,32 ----

  /* Default path to search for executables.  */
+ #ifndef amigados
  static char default_path[] = ":/bin:/usr/bin";
+ #else
+ static char default_path[] = ":/bin:/usr/local/bin";
+ #endif

  /* Default shell to use.  */
***************
*** 242,249 ****
  #ifdef	WAIT_NOHANG
	  if (!block)
!	    pid = WAIT_NOHANG (&status);
	  else
  #endif
!	    pid = wait (&status);

	  if (pid < 0)
--- 246,253 ----
  #ifdef	WAIT_NOHANG
	  if (!block)
!	    pid = WAIT_NOHANG ((int *)&status);
	  else
  #endif
!	    pid = wait ((int *)&status);

	  if (pid < 0)
***************
*** 988,992 ****
  #endif
	if (groups != 0 && ngroups == -1)
!	ngroups = getgroups (ngroups_max, groups);
  #endif	/* Have getgroups.  */

--- 992,996 ----
  #endif
	if (groups != 0 && ngroups == -1)
!	ngroups = getgroups (ngroups_max, (int *)groups);
  #endif	/* Have getgroups.  */

diff -2cwr make-3.67/main.c amiga-make-3.67/main.c
*** make-3.67/main.c	Sat May 22 20:20:16 1993
--- amiga-make-3.67/main.c	Sun May 23 19:54:28 1993
***************
*** 23,26 ****
--- 23,29 ----
  #include "job.h"
  #include "getopt.h"
+ #ifdef amigados
+ #include <stdlib.h>
+ #endif


diff -2cwr make-3.67/read.c amiga-make-3.67/read.c
*** make-3.67/read.c	Wed May 19 21:15:51 1993
--- amiga-make-3.67/read.c	Sun May 23 19:55:24 1993
***************
*** 82,89 ****
--- 82,95 ----
  static char *default_include_directories[] =
    {
+ #ifndef amigados
      INCLUDEDIR,
      "/usr/gnu/include",
      "/usr/local/include",
      "/usr/include",
+ #else
+     "/gcc/include",
+     "/gcc/g++-include",
+     "/gcc/os-include",
+ #endif
      0
    };
diff -2cwr make-3.67/remake.c amiga-make-3.67/remake.c
*** make-3.67/remake.c	Mon Apr 12 20:52:45 1993
--- amiga-make-3.67/remake.c	Sun May 23 19:56:38 1993
***************
*** 964,970 ****
--- 964,975 ----
    static char *dirs[] =
      {
+ #ifndef amigados
	"/lib",
	"/usr/lib",
	LIBDIR, 		/* Defined by configuration.  */
+ #else
+	"/gcc/lib",
+	"/gcc/blib",
+ #endif
	0
      };
***************
*** 974,978 ****
--- 979,987 ----

    /* Buffer to construct possible names in.  */
+ #ifndef amigados
    char *buf = xmalloc (sizeof (LIBDIR) + 8 + strlen (libname) + 4 + 2 + 1);
+ #else
+   char *buf = xmalloc (8 + strlen (libname) + 9 + 2 + 1);
+ #endif
    char *file, **dp;

